module.exports = api => {
  api.cache(true);

  const config = {
    presets: [
            "@babel/preset-env",
            "@babel/preset-react"
        ],
    plugins: [
            [
                "@babel/plugin-transform-runtime",
                {
          regenerator: true
                }
            ],
            [
                "babel-plugin-react-css-modules",
                {
          generateScopedName: "[name]__[local]",
          autoResolveMultipleImports: true,
          filetypes: {
                        ".scss": {
              syntax: "postcss-scss",
              plugins: [
                                [
                                    "postcss-import-sync2"
                                ]
                            ]
                        }
                    }
                }
            ]
        ]
    };

  return config;
};