// NO INCLUIR
const mongoose = require('mongoose');
const { database } = require('../src/server/config/keys');
const projectModel = require('../src/models/project');
const tipos = require('./data/MergeProyectos.json');

mongoose.connect(database.URI, { useNewUrlParser: true })
	.then(db => console.log('DB Connected'))
	.catch(err => console.error(err));



const mergeProjects = async () => {
	const mergeProy = async tipo => {
		const nproj = tipo.Identificador;

		const project = await projectModel.findOne({ Identificador: nproj });

		project.TipoNum = tipo.Tipo

		await project.save();

		return true;
	
	}

	let count = 0;

	for (const tipo of tipos) {		
		count++;
		let flag = false;

		while(!flag)
			flag = await mergeProy(tipo);

	}

	console.log(count);
	console.log('Finalizado');
};

mergeProjects();


