const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const BillSchema = new Schema({
    fecha: { type: String, required: true },
    epigrafe: { type: String, required: true },
    concepto: { type: String },
    emisor: { type: String },
    cuantia_dolares: { type: Number },
    cuantia_euros: { type: Number }
});

module.exports = mongoose.model('Bill', BillSchema);