const Types = [
    `
    type GraphData {
        data: [GraphDrawData]
        errors: [String]
    }

    type GraphDrawData {
        anio: String!
        varCruzada: String!
    }

     type TypesData {
        types: [String]!
        errors: [String]
    }
    `
];

const Inputs = [

    `
    input GraphInputData{
        xAxis: String!
        yAxis: String!
    }
    
    input ProjectInputData{
        acronym:String!
        beneficiary: String!
        country: String!
        effectiveness: String!
        efficiency: String!
        finalDelay: String!
        identifier: String!
        impact: String!
        initialDelay: String!
        nAreBenef: String!
        nFamBenef: String!
        nIndBenef: String!
        nPerSC: String!
        nPerSE: String!
        nPerSS: String!
        participation: String!
        realTime: String!
        relevance: String!
        title: String!
        totalFinanced: String!
        totalQuantity: String!
        type: String
        typeSel: String
        valorTotalEjec: String!
        valorTotalPres: String!
        viability: String!
        visibility: String!
        year: String!
    }

    `
];

module.exports = {
    types: Types.length > 0 ? Types.reduce((a, b) => a + b) : "",
    inputs: Inputs.length > 0 ? Inputs.reduce((a, b) => a + b) : ""
};
