const mongoose = require('mongoose');
const { database } = require('../src/server/config/keys');
const projects = require('./data/Proyectos.json');
const projectModel = require('../src/models/project');

mongoose.connect(database.URI, { useNewUrlParser: true })
	.then(db => console.log('DB Connected'))
	.catch(err => console.error(err));

const createProjects = async () => {
	const insertProject = async project => {
		const projectData = new projectModel(project);

		await projectData.save();
		console.log('Guardado proyecto', project.Identificador);
	}

	for (const project of projects) {
		await insertProject(project);
	}
	console.log('Finalizado');
}

createProjects();