export const initAuth = localStorage => {
  if (localStorage.expiryDate > Date.now()) {
    if (localStorage.token) return { isAuth: true };
    else return { isAuth: false };
  } else {
    localStorage.removeItem("token");
    localStorage.removeItem("userId");
    localStorage.removeItem("expiryDate");
    return { isAuth: false };
  }
};

export const log = (state, action) => {
  switch (action.type) {
    case "LogIn":
      return { isAuth: true };
    case "LogOut":
      localStorage.removeItem("token");
      localStorage.removeItem("userId");
      localStorage.removeItem("expiryDate");
      return { isAuth: false };
    default:
      return state;
  }
};
