import React from 'react';

import './styles/Row.scss';

const Row = props => {
	const style = stylesToString(props.styles);
	return (
		<div styleName={style}>
			{props.children}
		</div>
	);
};

const stylesToString = stylesArray => {
	let style = 'row';

	if (stylesArray)
		stylesArray.forEach(i => {
			style += ` ${i}`
		});

	return style;
}

export default Row;