import React from 'react';
import { Link } from "react-router-dom";

import '../styles/Robinson.scss';

const Robinson = props => {
	const policy = props.policy ? props.policy : '/';

	return (
		<div styleName='robinson'>
			<label>
				<input type='checkbox' name='robinson' onKeyPress={props.disableEnter} />
				<span styleName="check"></span>
				<p>He leído y acepto la {<Link to={policy}>política de privacidad</Link>}</p>
			</label>
		</div>
	)
};

export default Robinson;