const express = require('express');
const path = require('path');

const router = express.Router();


module.exports = app => {
    const publicPath = '../../../public';

    app.use('/', express.static(path.join(__dirname, publicPath)));

    router.use('/', (req, res) => {
        res.sendFile(path.join(__dirname, publicPath, 'index.html'));
    });


    app.use(router);
}